function ajaxs()
{
	var xmlhttp=false;
	try 
	{
		xmlhttp = new ActiveXObject('Msxml2.XMLHTTP');
	}
 	catch (e) 
	{
		try 
		{
			xmlhttp = new ActiveXObject('Microsoft.XMLHTTP');
		}
 		catch (E) 
		{
			xmlhttp = false;
		}
	}
	if (!xmlhttp && typeof XMLHttpRequest!='undefined') 
	{
		xmlhttp = new XMLHttpRequest();
	}
	return xmlhttp;
}

function radioValue(ctrl)
{
	for(i=0;i<ctrl.length;i++)
		if(ctrl[i].checked) return ctrl[i].value;
}

/*
*
* COMIENZO FUNCIONES DEL ABM PARA SUCURSALES 
*
*/

function nuevo_sucursal()
{
	var disponible_numero = document.getElementById('disponible_numero_sucursal').value;
	var disponible_nombre = document.getElementById('disponible_nombre_sucursal').value;
	
	if(disponible_numero == 0 || disponible_nombre == 0)
		return false;

	
	var numero_sucursal = document.getElementById('numero_sucursal').value;
	var nombre_sucursal = document.getElementById('nombre_sucursal').value;
	
	var retValue = true;
	
	if(numero_sucursal.length == 0 )
	{
		$( "#error_numero_sucursal" ).html( "* Campo obligatorio." );
		$('#panel_numero').removeClass('has-success').addClass('has-error');
		retValue = false;
	}else{
	    $( "#error_numero_sucursal" ).html( "" );
		$('#panel_numero').removeClass('has-error');
	}
	
	if(nombre_sucursal.length == 0 )
	{
		$( "#error_nombre_sucursal" ).html( "* Campo obligatorio." );
		$('#panel_nombre').removeClass('has-success').addClass('has-error');
		retValue = false;
	}else{
	    $( "#error_nombre_sucursal" ).html( "" );
		$('#panel_nombre').removeClass('has-error');
	}
	
	if(!retValue)
		return false;
		
	var tipo_localizacion_jerarquica_id = 1;
	var localizacion_jerarquica_padre_id = '0';
	
	$('#loader_sucursales').removeClass('hide');

	ajax=ajaxs();
	ajax.open('POST', 'Modules/localizaciones_jerarquicas/libreria_general.php',true);
	ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	ajax.send('case=1&numero='+numero_sucursal+'&nombre='+nombre_sucursal
								       +'&localizacion_jerarquica_padre_id='+localizacion_jerarquica_padre_id
									   +'&tipo_localizacion_jerarquica_id='+tipo_localizacion_jerarquica_id);
	ajax.onreadystatechange=function() 
	{
		if (ajax.readyState==4) 
			{
			if(ajax.responseText)
			{
				window.location='index.php?tabla=localizaciones_jerarquicas';
				$('#loader_sucursales').addClass('hide');
			}
			else
			{
			   jQuery.gritter.add({
				 title: 'Información.',
				 text: 'No se ha podido llevar adelante el proceso. Intente nuevamente.',
				 class_name: 'growl-danger',
				 sticky: false,
				 time: '3000'
			   });
			}
		}
	}
}

function editar_sucursal(id)
{
	var numero_sucursal = document.getElementById('numero_sucursal_'+id).value;
	var nombre_sucursal = document.getElementById('nombre_sucursal_'+id).value;
	
	var retValue = true;
	
	if(numero_sucursal.length == 0 )
	{
		$( "#error_numero_sucursal_"+id ).html( "* Campo obligatorio." );
		$('#panel_numero_'+id).removeClass('has-success').addClass('has-error');
		retValue = false;
	}else{
	    $( "#error_numero_sucursal_"+id ).html( "" );
		$('#panel_numero_'+id).removeClass('has-error');
	}
	
	if(nombre_sucursal.length == 0 )
	{
		$( "#error_nombre_sucursal_"+id ).html( "* Campo obligatorio." );
		$('#panel_nombre_'+id).removeClass('has-success').addClass('has-error');
		retValue = false;
	}else{
	    $( "#error_nombre_sucursal_"+id ).html( "" );
		$('#panel_nombre_'+id).removeClass('has-error');
	}
	
	if(!retValue)
		return false;
	
	var tipo_localizacion_jerarquica_id = 1;
	var localizacion_jerarquica_padre_id = '0';
	
	$('#loader_sucursales_editar_'+id).removeClass('hide');

	ajax=ajaxs();
	ajax.open('POST', 'Modules/localizaciones_jerarquicas/libreria_general.php',true);
	ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	ajax.send('case=2&id='+id+'&numero='+numero_sucursal+'&nombre='+nombre_sucursal
								       +'&localizacion_jerarquica_padre_id='+localizacion_jerarquica_padre_id
									   +'&tipo_localizacion_jerarquica_id='+tipo_localizacion_jerarquica_id);
	ajax.onreadystatechange=function() 
	{
		if (ajax.readyState==4) 
		{
			if(ajax.responseText)
			{
				window.location='index.php?tabla=localizaciones_jerarquicas';
				$('#loader_sucursales_editar_'+id).addClass('hide');
			}
			else
			{
			   jQuery.gritter.add({
				 title: 'Información.',
				 text: 'No se ha podido llevar adelante el proceso. Intente nuevamente.',
				 class_name: 'growl-danger',
				 sticky: false,
				 time: '3000'
			   });
			}
		}
	}
}

// Se debe pasar el id de la localizacion jerarquica y la descripcion del tipo de localizacion jerarquica
// Descripción: Sucursal, Distrito, Zona
//Primero se verifica que no existan operadores de monitor y distritos asociados a esta sucursal.
function eliminar_sucursal(id)
{	
	$('#loader_sucursales_eliminar_'+id).removeClass('hide');
	
	$.ajax({
	  url: 'Modules/localizaciones_jerarquicas/libreria_general.php',
	  type: 'POST',
	  data:{case:6, id: id},
	  success: function(data) {
		if(data == 1)
		{
			$( "#error_operadores_asociados_"+id ).html( "* Existen operadores del monitor asociados a la sucursal." );
			return false;					
		}
		else
			return verificar_distritos_asociados(id);
	  },
	  error: function(jqXHR, textStatus, error) {
		alert( "error: " + jqXHR.responseText);
	  }
	});

}

function verificar_distritos_asociados(id)
{
	$.ajax({
	  url: 'Modules/localizaciones_jerarquicas/libreria_general.php',
	  type: 'POST',
	  data:{case:7, id: id},
	  success: function(data) 
	  {
		if(data > 0)
		{
			$( "#error_distritos_asociados_"+id ).html( "* Existen distritos asociados." );
			return false;					
		}
		else
		{
			$.ajax({
			  url: 'Modules/localizaciones_jerarquicas/libreria_general.php',
			  type: 'POST',
			  data:{case:3, LocalizacionJerarquicaID: id},
			  success: function(data) {
				if(data == 1)
				{
					window.location='index.php?tabla=localizaciones_jerarquicas';	
					$('#loader_sucursales_eliminar_'+id).addClass('hide');
					return true;		
				}
				else
				{
					$( "#error_operadores_asociados_"+id ).html( "* Existen operadores del monitor asociados a la sucursal." );
					$('#loader_sucursales_eliminar_'+id).addClass('hide');
					return false;
				}	
			  },
			  error: function(jqXHR, textStatus, error) {
				alert( "error: " + jqXHR.responseText);
			  }
			});
		}	
		
	  },
	  error: function(jqXHR, textStatus, error) {
		alert( "error: " + jqXHR.responseText);
	  }
	});
}

/*
*
* FIN FUNCIONES DEL ABM PARA SUCURSALES 
*
*/

// ===================================================================================================

/*
*
* COMIENZO FUNCIONES DEL ABM PARA DISTRITOS 
*
*/

function nuevo_distrito()
{
	
	var disponible_numero = document.getElementById('disponible_numero_distrito').value;
	var disponible_nombre = document.getElementById('disponible_nombre_distrito').value;
	
	if(disponible_numero == 0 || disponible_nombre == 0)
		return false;

	
	var numero = document.getElementById('numero_distrito').value;
	var nombre = document.getElementById('nombre_distrito').value;

	var retValue = true;
	
	if(numero.length == 0 )
	{
		$( "#error_numero_distrito" ).html( "* Campo obligatorio." );
		$('#panel_numero').removeClass('has-success').addClass('has-error');
		retValue = false;
	}else{
	    $( "#error_numero_distrito" ).html( "" );
		$('#panel_numero').removeClass('has-error');
	}
	
	if(nombre.length == 0 )
	{
		$( "#error_nombre_distrito" ).html( "* Campo obligatorio." );
		$('#panel_nombre').removeClass('has-success').addClass('has-error');
		retValue = false;
	}else{
	    $( "#error_nombre_distrito" ).html( "" );
		$('#panel_nombre').removeClass('has-error');
	}
	
	if(!retValue)
		return false;
		
	var indice = document.getElementById('sucursales_padres').selectedIndex;
		var localizacion_jerarquica_padre_id = document.getElementById('sucursales_padres').options[indice].value;
			
	var tipo_localizacion_jerarquica_id = 2;

	$('#loader_distritos').removeClass('hide');

	ajax=ajaxs();
	ajax.open('POST', 'Modules/localizaciones_jerarquicas/libreria_general.php',true);
	ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	ajax.send('case=1&numero='+numero+'&nombre='+nombre
								       +'&localizacion_jerarquica_padre_id='+localizacion_jerarquica_padre_id
									   +'&tipo_localizacion_jerarquica_id='+tipo_localizacion_jerarquica_id);
	ajax.onreadystatechange=function() 
	{
		if (ajax.readyState==4) 
			{
			if(ajax.responseText)
			{
				window.location='index.php?tabla=localizaciones_jerarquicas';
				$('#loader_distritos').addClass('hide');
			}
			else
			{
			   jQuery.gritter.add({
				 title: 'Información.',
				 text: 'No se ha podido llevar adelante el proceso. Intente nuevamente.',
				 class_name: 'growl-danger',
				 sticky: false,
				 time: '3000'
			   });
			}
		}
	}
}

function editar_distrito(id)
{
	var disponible_numero = document.getElementById('disponible_numero_distrito_'+id).value;
	var disponible_nombre = document.getElementById('disponible_nombre_distrito_'+id).value;
	
	if(disponible_numero == 0 || disponible_nombre == 0)
		return false;
		
	var numero = document.getElementById('numero_distrito_'+id).value;
	var nombre = document.getElementById('nombre_distrito_'+id).value;
	var tipo_localizacion_jerarquica_id = 2;
	var indice = document.getElementById('sucursales_padres_'+id).selectedIndex;
		var localizacion_jerarquica_padre_id = document.getElementById('sucursales_padres_'+id).options[indice].value;

	if(numero.length == 0 )
	{
		$( "#error_numero_distrito" ).html( "* Campo obligatorio." );
		$('#panel_numero').removeClass('has-success').addClass('has-error');
		return false;
	}else{
	    $( "#error_numero_distrito" ).html( "" );
		$('#panel_numero').removeClass('has-error');
	}
	
	if(nombre.length == 0 )
	{
		$( "#error_nombre_distrito" ).html( "* Campo obligatorio." );
		$('#panel_nombre').removeClass('has-success').addClass('has-error');
		return false;
	}else{
	    $( "#error_nombre_distrito" ).html( "" );
		$('#panel_nombre').removeClass('has-error');
	}
	
	
	$('#loader_distritos_editar_'+id).removeClass('hide');
	
	ajax=ajaxs();
	ajax.open('POST', 'Modules/localizaciones_jerarquicas/libreria_general.php',true);
	ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	ajax.send('case=2&id='+id+'&numero='+numero+'&nombre='+nombre
								       +'&localizacion_jerarquica_padre_id='+localizacion_jerarquica_padre_id
									   +'&tipo_localizacion_jerarquica_id='+tipo_localizacion_jerarquica_id);
	ajax.onreadystatechange=function() 
	{
		if (ajax.readyState==4) 
		{
			if(ajax.responseText)
			{
				window.location='index.php?tabla=localizaciones_jerarquicas';
				$('#loader_distritos_editar_'+id).addClass('hide');
			}
			else
			{
			   jQuery.gritter.add({
				 title: 'Información.',
				 text: 'No se ha podido llevar adelante el proceso. Intente nuevamente.',
				 class_name: 'growl-danger',
				 sticky: false,
				 time: '3000'
			   });
			}
		}
	}
}

function eliminar_distrito(id,tipo)
{	
	$('#loader_distritos_eliminar_'+id).removeClass('hide');
	
/*	var zonas_asociados = verificar_zonas_asociados(id);
	setTimeout(function(){
		if(!zonas_asociados)
		{	
			ajax=ajaxs();
			ajax.open('POST', 'Modules/localizaciones_jerarquicas/libreria_general.php',true);
			ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
			ajax.send('case=3&LocalizacionJerarquicaID='+id);
			ajax.onreadystatechange=function() 
			{
				if (ajax.readyState==4) 
				{
					if(ajax.responseText)
					{
						window.location='index.php?tabla=localizaciones_jerarquicas';
						$('#loader_distritos_eliminar_'+id).addClass('hide');					
					}
					else
					{
					  jQuery.gritter.add({
						 title: 'Información.',
						 text: 'No se ha podido llevar adelante el proceso. Intente nuevamente.',
						 class_name: 'growl-danger',
						 sticky: false,
						 time: '3000'
					   });
					}
				}
			}
		}
	},1500);*/
	
	
	$.ajax({
	  url: 'Modules/localizaciones_jerarquicas/libreria_general.php',
	  type: 'POST',
	  data:{case:7, id: id},
	  success: function(data) 
	  {
		if(data == 1)
		{
			$( "#error_zonas_asociados_"+id ).html( "* Existen zonas asociadas a este distrito. Primero debe eliminar esta asociación." );
			$('#loader_distritos_eliminar_'+id).addClass('hide');
			return false;					
		}
		else
		{
			$.ajax({
			  url: 'Modules/localizaciones_jerarquicas/libreria_general.php',
			  type: 'POST',
			  data:{case:3, LocalizacionJerarquicaID: id},
			  success: function(data) {
				if(data)
				{
					window.location='index.php?tabla=localizaciones_jerarquicas';	
					$('#loader_distritos_eliminar_'+id).addClass('hide');
					return true;		
				}
				else
				{
					$( "#error_operadores_asociados_"+id ).html( "* Existen operadores del monitor asociados a la sucursal." );
					$('#loader_distritos_eliminar_'+id).addClass('hide');
					return false;
				}	
			  },
			  error: function(jqXHR, textStatus, error) {
				alert( "error: " + jqXHR.responseText);
			  }
			});
		}	
		
	  },
	  error: function(jqXHR, textStatus, error) {
		alert( "error: " + jqXHR.responseText);
	  }
	});
}

function verificar_zonas_asociados(id)
{
	ajax=ajaxs();
	ajax.open('POST', 'Modules/localizaciones_jerarquicas/libreria_general.php',true);
	ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	ajax.send('case=7&id='+id);
	ajax.onreadystatechange=function() 
	{
		if (ajax.readyState==4) 
			{
			if(ajax.responseText)
			{
				if(ajax.responseText > 0)
				{
					$( "#error_zonas_asociados_"+id ).html( "* Existen zonas asociadas a este distrito. Primero debe eliminar esta asociación." );
					return false;
				}else
				{
					return true;
				}
			}
			else
			{
				alert(ajax.responseText);
			}
		}
	}
}

/*
*
* FIN FUNCIONES DEL ABM PARA DISTRITOS 
*
*/

// ===================================================================================================

/*
*
* COMIENZO FUNCIONES DEL ABM PARA ZONAS 
*
*/

function nuevo_zona()
{
		
	var disponible_numero = document.getElementById('disponible_numero_zona').value;
	var disponible_nombre = document.getElementById('disponible_nombre_zona').value;
	
	if(disponible_numero == 0 || disponible_nombre == 0)
		return false;

	
	var numero = document.getElementById('numero_zona').value;
	var nombre = document.getElementById('nombre_zona').value;
	
	var retValue = true;
	
	if(numero.length == 0 )
	{
		$( "#error_numero_zona" ).html( "* Campo obligatorio." );
		$('#panel_numero').removeClass('has-success').addClass('has-error');
		retValue = false;
	}else{
	    $( "#error_numero_zona" ).html( "" );
		$('#panel_numero').removeClass('has-error');
	}
	
	if(nombre.length == 0 )
	{
		$( "#error_nombre_zona" ).html( "* Campo obligatorio." );
		$('#panel_nombre').removeClass('has-success').addClass('has-error');
		retValue = false;
	}else{
	    $( "#error_nombre_zona" ).html( "" );
		$('#panel_nombre').removeClass('has-error');
	}
	
	if(!retValue)
		return false;
		
	var indice = document.getElementById('distritos_padres').selectedIndex;
		var localizacion_jerarquica_padre_id = document.getElementById('distritos_padres').options[indice].value;

		
	var tipo_localizacion_jerarquica_id = 3;

	$('#loader_zonas').removeClass('hide');

	ajax=ajaxs();
	ajax.open('POST', 'Modules/localizaciones_jerarquicas/libreria_general.php',true);
	ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	ajax.send('case=1&numero='+numero+'&nombre='+nombre
								       +'&localizacion_jerarquica_padre_id='+localizacion_jerarquica_padre_id
									   +'&tipo_localizacion_jerarquica_id='+tipo_localizacion_jerarquica_id);
	ajax.onreadystatechange=function() 
	{
		if (ajax.readyState==4) 
			{
			if(ajax.responseText)
			{
				window.location='index.php?tabla=localizaciones_jerarquicas';
				$('#loader_zonas').addClass('hide');
			}
			else
			{
			   jQuery.gritter.add({
				 title: 'Información.',
				 text: 'No se ha podido llevar adelante el proceso. Intente nuevamente.',
				 class_name: 'growl-danger',
				 sticky: false,
				 time: '3000'
			   });
			}
		}
	}
}

function editar_zona(id)
{	
	var disponible_numero = document.getElementById('disponible_numero_zona_'+id).value;
	var disponible_nombre = document.getElementById('disponible_nombre_zona_'+id).value;
	
	if(disponible_numero == 0 || disponible_nombre == 0)
		return false;
	
	var numero = document.getElementById('numero_zona_'+id).value;
	var nombre = document.getElementById('nombre_zona_'+id).value;
	
	var retValue = true;
	
	if(numero.length == 0 )
	{
		$( "#error_numero_zona_"+id ).html( "* Campo obligatorio." );
		$('#panel_numero_'+id).removeClass('has-success').addClass('has-error');
		retValue = false;
	}else{
	    $( "#error_numero_zona_"+id ).html( "" );
		$('#panel_numero'+id).removeClass('has-error');
	}
	
	if(nombre.length == 0 )
	{
		$( "#error_nombre_zona_"+id ).html( "* Campo obligatorio." );
		$('#panel_nombre_'+id).removeClass('has-success').addClass('has-error');
		retValue = false;
	}else{
	    $( "#error_nombre_zona_"+id ).html( "" );
		$('#panel_nombre_'+id).removeClass('has-error');
	}
	
	if(!retValue)
		return false;
	

	var tipo_localizacion_jerarquica_id = 3;
	var indice = document.getElementById('distritos_padres_'+id).selectedIndex;
		var localizacion_jerarquica_padre_id = document.getElementById('distritos_padres_'+id).options[indice].value;

	ajax=ajaxs();
	ajax.open('POST', 'Modules/localizaciones_jerarquicas/libreria_general.php',true);
	ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	ajax.send('case=2&id='+id+'&numero='+numero+'&nombre='+nombre
								       +'&localizacion_jerarquica_padre_id='+localizacion_jerarquica_padre_id
									   +'&tipo_localizacion_jerarquica_id='+tipo_localizacion_jerarquica_id);
	
	$('#loader_zonas_editar_'+id).removeClass('hide');
	
	ajax.onreadystatechange=function() 
	{
		if (ajax.readyState==4) 
		{
			if(ajax.responseText)
			{
				window.location='index.php?tabla=localizaciones_jerarquicas';
				$('#loader_zonas_editar_'+id).addClass('hide');
			}
			else
			{
			   jQuery.gritter.add({
				 title: 'Información.',
				 text: 'No se ha podido llevar adelante el proceso. Intente nuevamente.',
				 class_name: 'growl-danger',
				 sticky: false,
				 time: '3000'
			   });
			}
		}
	}
}

function eliminar_zona(id,tipo)
{	
	$('#loader_zonas_eliminar_'+id).removeClass('hide');
	
	ajax=ajaxs();
	ajax.open('POST', 'Modules/localizaciones_jerarquicas/libreria_general.php',true);
	ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	ajax.send('case=3&LocalizacionJerarquicaID='+id);
	ajax.onreadystatechange=function() 
	{
		if (ajax.readyState==4) 
		{
			if(ajax.responseText)
			{
				window.location='index.php?tabla=localizaciones_jerarquicas';
				$('#loader_zonas_eliminar_'+id).addClass('hide');
			}
			else
			{
			  jQuery.gritter.add({
				 title: 'Información.',
				 text: 'No se ha podido llevar adelante el proceso. Intente nuevamente.',
				 class_name: 'growl-danger',
				 sticky: false,
				 time: '3000'
			   });
			}
		}
	}
	
}

/*
*
* FIN FUNCIONES DEL ABM PARA ZONAS 
*
*/

// ===================================================================================================
/*
*
* COMIENZO DE LAS FUNCIONES COMPARTIDAS DEL ABM DE ESTE MODULO
*
*/



function borrar_fila(id)
{
	var td = document.getElementById('td'+id);
	var tr = td.parentNode;
	tr.parentNode.removeChild(tr);
}

function VerificarNumero(input_id,tipo,id)
{
	var numero = document.getElementById(input_id).value;
	
	if(id==numero)
		return false;
		
	ajax=ajaxs();
	ajax.open('POST', 'Modules/localizaciones_jerarquicas/libreria_general.php',true);
	ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	ajax.send('case=4&numero='+numero+"&tipo="+tipo);
	ajax.onreadystatechange=function() 
	{
		if (ajax.readyState==4) 
			{
			if(ajax.responseText)
			{
				if(ajax.responseText == 1)
				{
					$( "#error_"+input_id ).html( "* Número no disponible." );
					$('#panel_'+input_id).removeClass('has-success').addClass('has-error');
					$('#disponible_'+input_id).val('0');					
				}
				else
				{
					$( "#error_"+input_id ).html( "" );
					$('#panel_'+input_id).removeClass('has-error');
					$('#disponible_'+input_id).val('1');

				}
			}
			else
			{
				alert(ajax.responseText);
			}
		}
	}

}

function VerificarNombre(input_id,tipo,descripcion)
{
	var nombre = document.getElementById(input_id).value;

	if(descripcion==nombre)
		return false;

	ajax=ajaxs();
	ajax.open('POST', 'Modules/localizaciones_jerarquicas/libreria_general.php',true);
	ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	ajax.send('case=5&nombre='+nombre+'&tipo='+tipo);
	ajax.onreadystatechange=function() 
	{
		if (ajax.readyState==4) 
			{
			if(ajax.responseText)
			{
				if(ajax.responseText == 1)
				{
					$( "#error_"+input_id ).html( "* Nombre no disponible." );
					$('#panel_'+input_id).removeClass('has-success').addClass('has-error');
					$('#disponible_'+input_id).val('0');					
				}
				else
				{
					$("#error_"+input_id ).html( "" );
					$('#panel_'+input_id).removeClass('has-error');
					$('#disponible_'+input_id).val('1');
				}
			}
			else
			{
				alert(ajax.responseText);
			}
		}
	}	
}

function ValidarNumero(e, campo) 
{
    ///key es una variable que recoge el valor ASCII de la tecla pulsada.
    key = e.keyCode ? e.keyCode : e.which
        /// Validamos la tecla backspace
    if (key == 8) return true
        /// Validamos las teclas del 0 al 9
    if (key > 47 && key < 58) {
        if (campo.value == "") return true
        regexp = /,[0-9]{2}$/
    return !(regexp.test(campo.value))
    }
        /// Validamos la tecla "."
    if (key == 46) {
    if (campo.value == "") return false;
    regexp = /^-*[0-9]+$/
    return regexp.test(campo.value);
    }
        ///En caso de que se presione cualquier otra tecla el valor no se introduce.
    return false
}
/*
*
* FIN DE LAS FUNCIONES COMPARTIDAS DEL ABM DE ESTE MODULO
*
*/

// ===================================================================================================